# pqxx::internal::refcount Class Reference

Helper class used in reference counting (doubly-linked circular list). More...

`#include <util.hxx>`

List of all members.

## Public Member Functions
| refcount ()
| ~refcount ()
void | makeref (refcount &) throw ()
| Create additional reference based on existing refcount object.
bool | loseref () throw ()
| Drop this reference; return whether we were the last reference.

## Detailed Description

Helper class used in reference counting (doubly-linked circular list).

## Constructor & Destructor Documentation

pqxx::internal::refcount::refcount | ( |  | ) |

pqxx::internal::refcount::~refcount | ( |  | ) |

References loseref().

## Member Function Documentation

bool pqxx::internal::refcount::loseref | ( |  | ) | throw ()

Drop this reference; return whether we were the last reference.

References m_l, and m_r.

Referenced by ~refcount().

void pqxx::internal::refcount::makeref | ( | refcount & | rhs | ) | throw ()

Create additional reference based on existing refcount object.

The documentation for this class was generated from the following files:

- util.hxx
- util.cxx